<script src="https://cdnjs.cloudflare.com/ajax/libs/anchor-js/4.2.2/anchor.min.js"></script>
<script>
anchors.add('h1,h2,h3,h4,h5,h6').remove('.page-heading > h1');
</script>

<script>
function toggleSidebar(item) {
  $('#site-sidebar').toggleClass('sidebar-hidden');
  if ($('#site-sidebar').width() != 300) {
    item.innerHTML = "&#x25B2"
  } else {
    item.innerHTML = "&#x25BC"
  }
}
</script>


<script>
    window.addEventListener("load", function(){
        // expand active menus and set the page focus id
        var current_section = window.location.pathname.split("/")[1];
        var current_url = window.location.href;
        var sidebar_pages = document.getElementsByClassName("sidebar-page");
        var triangle_width = 1.25*parseFloat(getComputedStyle(document.documentElement).fontSize);
        for (var i = 0; i < sidebar_pages.length; ++i) {
            var pg = sidebar_pages[i];
            // add listener for pseudo-element (triangle) click to expand subsections
            if (pg.classList.contains("haschildren") ){
                pg.addEventListener("click", function(e) {
                    if (e.clientX < e.currentTarget.getBoundingClientRect().left + triangle_width) {
                        e.currentTarget.classList.toggle("expanded");
                    }
                });
            }
            // continue to next iteration, if we're in the wrong section
            var link = pg.firstElementChild.href;
            if (!link.includes(current_section)) {
                continue;
            }
            // expand and activate section that matches current page
            if (current_url.includes(link)) {
                pg.classList.add("expanded");
                pg.classList.add("active");
            }
            // set id needed to calculate sidebar scroll position
            if (current_url.localeCompare(link) == 0) {
                pg.id = "sidebar-page-focus";
            }
        }

        // function to find the absolute top offset of an element
        function findPos(obj) {
            var curtop = 0;
            if (obj.offsetParent) {
                do {
                    curtop += obj.offsetTop;
                } while (obj = obj.offsetParent);
            }
            return curtop;
        }

        // set previously stored scroll position or scroll active nav menu entry into view
        var siteSidebar = $('#site-sidebar');
        if (localStorage.scrollPosition) {
            siteSidebar.scrollTop(localStorage.getItem("scrollPosition"));
        } else {
            var sidebarFocus = $('#sidebar-focus');
            if (sidebarFocus.length != 0) {
                var sidebarPageFocus = $('#sidebar-page-focus');
                if (sidebarPageFocus.length != 0) {
                    var scrollOffset = findPos(document.getElementById('sidebar-page-focus'));
                    if (scrollOffset > 0) {
                        siteSidebar.scrollTop(scrollOffset - 200);
                    }
                } else {
                    siteSidebar.scrollTop(sidebarFocus.position().top - 100);
                }
            }
        }
    });
    // stored scroll position on page unload
    window.addEventListener("unload", function() {
        var scrollPosition = $('#site-sidebar').scrollTop();
        localStorage.setItem("scrollPosition", scrollPosition);
    });
</script>